Application: gvSIG desktop - gvSIG feature requests #2976
Soportar shp con campos duplicados
11/07/2014 04:33 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version:

gvSIG version: 21.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Podrian automaticamente renombrar los campos duplicados afiadiendo "-1,-2,..."

History

#1 - 01/27/2015 04:47 PM - Antonio Falciano

+1 I'm agree with you, Alvaro. SHPs (or DBFs) with duplicated field names are a bad practice, but if we have such data (e.g. produced by gvSIG 1.x)
we should use in some way. For instance, OGR manages them renaming the field names like we did in "Export to" (see #2681). We could do the same
here.

#2 - 04/20/2020 10:53 AM - Alvaro Anguix
- Status changed from New to Closed

En el build 3016 renombra los campos duplicados afadiendo 2,3,...
